#!/usr/bin/env Rscript

outputfile <- paste("leastSquares", ".png", sep="")
png(filename=outputfile, width=1600, height=1200)

x <- c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10)
y <- c(2, 5, 4, 6, 7, 9, 11, 15, 20, 25, 30)
p <- plot(x, y, pch=19)
print(p)

nlsFit <- nls(y ~ b1*x^3-b2*x^2+b3*x+b4, start = list(b1 = 1, b2 = 3, b3 = 1, b4 = 1))
newdata <- data.frame(x = seq(min(x),max(x),len = 100))
predictLine <- lines(newdata$x, predict(nlsFit, newdata = newdata), col="red")
print(predictLine)

nlsFit1 <- nls(y ~ b1*x^3-b2*x^2+b3, start = list(b1 = 1, b2 = 3, b3 = 1))
predictLine1 <- lines(newdata$x, predict(nlsFit1, newdata = newdata), col="green")
print(predictLine1)

invisible(dev.off())
